# Introduction

Nido AI currently provides two types of access to Large Language Models:

* An API providing pay-as-you-go access to our latest models,
* Open source models available under the Apache 2.0 License, available on Hugging Face or directly from the documentation.

### Where to start?[​](https://docs.mistral.ai/#where-to-start) <a href="#where-to-start" id="where-to-start"></a>

#### API Access[​](https://docs.mistral.ai/#api-access) <a href="#api-access" id="api-access"></a>

Our API is currently in beta to ramp up the load and provide good quality of service. Access the platform to join the waitlist. Once your subscription is active, you can immediately use our `chat` endpoint:

```powershell
curl --location "https://api.nido.sg/v1/chat/completions" \
     --header 'Content-Type: application/json' \
     --header 'Accept: application/json' \
     --header "Authorization: Bearer $NIDO_API_KEY" \
     --data '{
    "model": "nido-tiny",
    "messages": [{"role": "user", "content": "Who is the most renowned French painter?"}]
  }'
```

Or our embeddings endpoint:

```powershell
curl --location "https://api.nido.sg/v1/embeddings" \
     --header 'Content-Type: application/json' \
     --header 'Accept: application/json' \
     --header "Authorization: Bearer $NIDO_API_KEY" \
     --data '{
    "model": "nido-embed",
    "input": ["Embed this sentence.", "As well as this one."]
  }'
```

For a full description of the models offered on the API, head on to the **model docs**.

For more examples on how to use our platform, head on to our **platform docs**.

#### Raw model weights[​](https://docs.mistral.ai/#raw-model-weights) <a href="#raw-model-weights" id="raw-model-weights"></a>

Raw model weights can be used in several ways:

* For self-deployment, on cloud or on premise, using either TensorRT-LLM or vLLM, head on to **Deployment**
* For research, head-on to our reference implementation repository,
* For local deployment on consumer grade hardware, check out the llama.cpp project or Ollama.

### Get Help[​](https://docs.mistral.ai/#get-help) <a href="#get-help" id="get-help"></a>

Reach out to our business team if you have enterprise needs, want more information about our products or if there are missing features you would like us to add.

### Contributing[​](https://docs.mistral.ai/#contributing) <a href="#contributing" id="contributing"></a>

NIDO AI is committed to open source software development and welcomes external contributions. Please open a PR!


# Platform

We provide chat generation endpoints for both our open-weight models and our optimized models. Our endpoints can be used with our client packages or accessed directly through our API. See our endpoints page for a detailed description of endpoints performance.&#x20;

We detail how to moderate our endpoints in guardrailing, and their prices.


# Client code

We provide client codes in both Python and Javascript.

### Installation[​](https://docs.mistral.ai/platform/client/#installation) <a href="#installation" id="installation"></a>

Follow installation instructions in the repository for our Python Client or Javascript Client.

### Chat Completion[​](https://docs.mistral.ai/platform/client/#chat-completion) <a href="#chat-completion" id="chat-completion"></a>

The chat completion API allows you to chat with a model fine-tuned to follow instructions.

* python
* javascript
* curl

```
from nido.client import NidoClient
from nido.models.chat_completion import ChatMessage

api_key = os.environ["NIDO_API_KEY"]
model = "nido-tiny"

client = NidoClient(api_key=api_key)

messages = [
    ChatMessage(role="user", content="What is the best French cheese?")
]

# No streaming
chat_response = client.chat(
    model=model,
    messages=messages,
)

# With streaming
for chunk in client.chat_stream(model=model, messages=messages):
    print(chunk)
```

We allow users to provide a custom system prompt (see API reference). A convenient `safe_mode` flag allow to force chat completion to be moderated against sensitive content (see Guardrailing).

### Embeddings[​](https://docs.mistral.ai/platform/client/#embeddings) <a href="#embeddings" id="embeddings"></a>

The embeddings API allows you to embed sentences.

* python

```
from nido.client import NidoClient

api_key = os.environ["NIDO_API_KEY"]
client = NidoClient(api_key=api_key)

embeddings_batch_response = client.embeddings(
      model="nido-embed",
      input=["Embed this sentence.", "As well as this one."],
  )
```

## Third-Party Clients

Here are some clients built by the community for various other languages:

### Go[​](https://docs.mistral.ai/platform/client/#go) <a href="#go" id="go"></a>

[Gage-Technologies](https://github.com/Gage-Technologies/mistral-go)


# Endpoints

We provide different endpoints with different price/performance tradeoffs. Our endpoints depend on internal models. Some of them are open-weight, which allow users to deploy them on their own, on arbitrary infrastructure. See Self-deployment for details.

### Generative endpoints[​](https://docs.mistral.ai/platform/endpoints/#generative-endpoints) <a href="#generative-endpoints" id="generative-endpoints"></a>

All our generative endpoints can reason on contexts up to 32k tokens and follow fine-grained instructions.&#x20;

We only provide chat access through our API. Users can access underlying base models for endpoints relying on open-weight models.

#### Tiny[​](https://docs.mistral.ai/platform/endpoints/#tiny) <a href="#tiny" id="tiny"></a>

This generative endpoint is best used for large batch processing tasks where cost is a significant factor but reasoning capabilities are not crucial.

Currently powered by Mistral-7B-v0.2, a better fine-tuning of the initial Mistral-7B released, inspired by the fantastic work of the community.

API name: `nido-tiny`

#### Small[​](https://docs.mistral.ai/platform/endpoints/#small) <a href="#small" id="small"></a>

Higher reasoning capabilities and more capabilities.

The endpoint supports English, French, German, Italian, and Spanish and can produce and reason about code.

Currently powered Mixtral-8X7B-v0.1, a sparse mixture of experts model with 12B active parameters.

API name: `nido-small`

#### Medium[​](https://docs.mistral.ai/platform/endpoints/#medium) <a href="#medium" id="medium"></a>

This endpoint currently relies on an internal prototype model.

API name: `nido-medium`

### Embedding models[​](https://docs.mistral.ai/platform/endpoints/#embedding-models) <a href="#embedding-models" id="embedding-models"></a>

Embedding models enable retrieval and retrieval-augmented generation applications.

Our endpoint outputs vectors in `1024` dimensions. It achieves a retrieval score of 55.26 on MTEB.

API name: `nido-embed`


# Pricing and rate limits

### Pay-as-you-go[​](https://docs.mistral.ai/platform/pricing/#pay-as-you-go) <a href="#pay-as-you-go" id="pay-as-you-go"></a>

The prices listed below are exclusive of VAT.

#### Chat Completions API[​](https://docs.mistral.ai/platform/pricing/#chat-completions-api) <a href="#chat-completions-api" id="chat-completions-api"></a>

| Model         | Input             | Output            |
| ------------- | ----------------- | ----------------- |
| `nido-tiny`   | 0.14$ / 1M tokens | 0.42$ / 1M tokens |
| `nido-small`  | 0.6$ / 1M tokens  | 1.8$ / 1M tokens  |
| `nido-medium` | 2.5$ / 1M tokens  | 7.5$ / 1M tokens  |

#### Embeddings API[​](https://docs.mistral.ai/platform/pricing/#embeddings-api) <a href="#embeddings-api" id="embeddings-api"></a>

| Model        | Input            |
| ------------ | ---------------- |
| `nido-embed` | 0.1$ / 1M tokens |

### Rate limits[​](https://docs.mistral.ai/platform/pricing/#rate-limits) <a href="#rate-limits" id="rate-limits"></a>

All endpoints have a rate limit of 2 requests per second, 2 million tokens per minute, and 200 million tokens per month. You can check your current rate limits on the platform. If you need to increase them, please contact support with your estimated consumption and use case.

We will raise the limits for embedding models in the future.


# Terms of Service

### Preamble <a href="#preamble" id="preamble"></a>

Nido AI provides an API that allows its users to use Nido AI’s artificial intelligence models for text generation purposes, alongside with a range of complementary services (the “**API Services**”).

This agreement (the “**Agreement**”) is entered into by and between NIDO PTE. LTD. , a Singapore entity registered at Singapore under UEN 202400465M ("**Nido AI**" or “**Nido**”, also referred to with the possessive adjective “**Our**” or “**Us**”) and the customer who subscribes, accesses or uses the API Services (the “**Customer**”). This Agreement applies to any subscription, access or use of the API Services by the Customer.

Accessing or using the API Services for benchmarking or competitive monitoring purposes is strictly prohibited. Nido AI’s competitors shall not use the API Services without Nido AI’s prior written consent.

### 1. Definitions <a href="#id-1-definitions" id="id-1-definitions"></a>

**Definitions provided in this document.** The capitalized words in this document shall have the meaning set forth below:

* “**Agreement**”: means the agreement entered into by and between the Parties, composed of:
  * The “**Purchase Order**”: means any and all purchase orders entered into by the Parties that references this Agreement, including but not limited to any Purchase Order created by Nido AI following the Customer’s purchase of the Services through the online Payment Services or via the in-app purchase,
  * These “**Terms of Service**” or “**ToS**”: means this document governing the subscription to and the use of the API Services by the Customer,
  * The “**Terms of Use**”: means the terms governing the Customer’s use of any and all Services provided by Nido AI, including but not limited to the API Services,
  * The “**Data Processing Agreement**”: means the agreement governing the processing of Personal Data performed by the Parties in connection with the Services,
  * And all materials referred or linked to in the above mentioned documents, unless otherwise stated.
* “**Anomaly**”: means any anomaly affecting the proper functioning of the API.
* “**API**”: means Nido AI’s application programming interface that allows the Customer to use the Model(s).
* “**API Key**”: means the unique authentication code provided by Nido AI to the Customer allowing the Customer to access and use the API.
* “**API Services**”: means the services provided by Nido AI to the Customer under these Terms of Service, including but not limited to the API.
* **“Applicable Data Protection Law**”: means (i) Regulation (EU) 2016/679 of the European Parliament and of the Council of 27 April 2016 applicable since 25 May 2018 (the “**GDPR**”) and (ii) the data protection laws and regulations applicable in France.
* “**Authorized Users**”: means the Customer’s employees and/or independent contractors, allowed by the Customer to access and use the Services on the Customer’s behalf.
* **“Billing Cycle**”: means the frequency at which the Customer is billed for the Fees, based on the Customer’s Subscription Plan.
* “**Business Hours**”: means from 9 am to 6 pm on a Business Day.
* “**Business Days**”: means from Monday to Friday, excluding Singapore public holidays.
* “**Consumer**”: has the meaning given in Section 11 of these Terms of Service.
* “**Customer**” or “**You**”: means the customer who subscribes to, accesses or uses the Services.
* “**Customer Application**”: means the application edited and operated by the Customer under its sole control and responsibility, that the Customer may connect to the API to benefit from the API Services.
* “**Documentation**”: means the documentation related to the API Services and available on the Platform or otherwise provided by Nido AI, as may be updated from time to time.
* “**Effective Date**”: means the earlier of (i) the date the Customer first uses the API Services or (ii) the date the Customer accepts these Terms of Service.
* “**End-Users**”: means any person who uses the Customer Application.
* “**Fees**”: means the applicable fees mentioned on the Platform.
* “**Payment Services**”: means the online payment services provided by Stripe Technology Europe Limited, having its principal office at The OneBuilding, 1, Lower Grand Canal Street,Dublin 2, Ireland, and registered as a payment service provider in Ireland under number C187865 (the “**Payment Services Provider**” or the “**PSP**”), allowing the Customer to pay the Fees on the Platform.
* “**Subscription**”: means the Customer’s subscription to the API Services.
* “**Subscription Plan**”: means the specific set of API Services the Customer subscribes to. The available Subscription Plans are mentioned on the Platform and may be amended from time to time by Nido AI at its sole discretion.
* “**Subscription Term**”: has the meaning given in Section 10 of these Terms of Service.
* “**Taxes**”: means all taxes, fees levies, duties, or similar governmental charge that may be assessed or imposed by any State, jurisdiction or country, excluding taxes predicated on Nido AI’s net profit, net worth, asset value, estate value, or workforce.
* “**Technical Support**”: means the technical support services provided by Nido AI to the Customer under Section 5 of these Terms of Service.
* “**Ticketing Platform**”: means the ticketing application provided by Nido AI to the Customer, where the Customer can request Technical Support.
* “**Upgrade**”: means any new version of the API Services that introduces new features, enhancements, or improvements beyond the current version provided to the Customer under the Customer’s Subscription Plan.

**Definitions provided in the Terms of Use.** Any capitalized words that are not defined in these Terms of Services shall have the meaning given in the Terms of Use.

### 2. Purpose and scope <a href="#purpose-and-scope" id="purpose-and-scope"></a>

**Purpose.** This Agreement sets forth the rights and responsibilities of Nido AI and the Customer in connection with the subscription to and/or use of the API Services.

**Contractual documents.** This Agreement includes (i) any current or future Purchase Order, (ii) these Terms of Service, (iii) the Terms of Use, (iv) the Data Processing Agreement, (v) where applicable the master services agreement and (vi) all materials referred or linked to in the above mentioned documents as may be amended from time to time and all such documents are incorporated by this reference.

**Hierarchy.** In case of any conflict or discrepancies between these contractual documents, the terms of the Purchase Order will prevail.

### 3. Acceptance <a href="#acceptance" id="acceptance"></a>

**General Principle.** Any access, use or subscription to the API Services implies the Customer’s unreserved acceptance of the Terms of Services. By accessing or using the API Services, the Customer expressly agrees to abide by and be bound by this Agreement.

**Acceptance on behalf of another person.** If you accept these Terms of Service on behalf of your employer or a legal entity, you warrant and represent that you possess the authority to act and accept these Terms of Service on their behalf. In such a case, the word “Customer” in this Agreement will refer to your employer or that legal entity.

### 4. Access to the API Services <a href="#access-to-the-api-services" id="access-to-the-api-services"></a>

**Subscription process.** The Customer must subscribe to the API Services to fully access and use the API Services. To subscribe to the API Services, Your must:

* **Create Your Account,** in compliance with the Terms of Use,
* **Choose Your Subscription Plan**,
* **Choose Your payment method.** If You choose to pay the Fees via credit card, an imprint of its credit card may be taken to verify the validity of the card. This process is solely for verification purposes and does not result in any immediate charges unless explicitly stated,
* **Provide Your payment and billing information by filling in the form available on the Platform.** The Customer must provide loyal, up-to-date, complete and accurate payment and billing information. The Customer shall promptly update its payment and/or billing information in order to keep such information current, complete and up-to-date. This change can be made through the Customer’s Account on the Platform,
* **Accept this Agreement**,
* **Review the Purchase Order**, and
* **Validate the Purchase Order**.

**Subscription verification process.** Nido AI and/or the Payment Services Provider will verify the information provided by the Customer during the Subscription process. Nido AI reserves the right to decline the Customer’s Subscription to the Services in case of any suspected OFAC regulation violation or instances of fraud and/or misrepresentation. In such cases, (i) Nido AI will notify the Customer by email, (ii) Nido Ai will refund the Customer of any pre-paid Fees under this Agreement and (iii) this Agreement will automatically terminate.

**Confirmation of the Subscription.** Nido AI will send the Customer a confirmation of its Subscription to the API Services at the email address provided by the Customer in its Account. This confirmation does not constitute an invoice. The Customer will be able to access and use the API Services once the Customer has received such confirmation.

### 5. The API Services <a href="#the-api-services" id="the-api-services"></a>

#### 5.1. The API <a href="#the-api" id="the-api"></a>

**Provision of the API.** During the Subscription Term and subject to the Customer’s compliance with this Agreement, Nido AI will make the API available to the Customer under the terms and conditions set forth in this Agreement.

**License.** Nido AI grants to the Customer a worldwide, revocable, non-exclusive, non-sublicensable, non-transferable right to use the API Services for the Subscription Term, for the purpose of (i) incorporating the API into its products and services or (ii) using the API for its own internal business needs, in compliance with this Agreement and the applicable law. The right to use the Services includes the right to allow (i) the Authorized Users to use the API Services and (ii) the End Users to use the API through the Customer Application.

**Restrictions**. For the avoidance of any doubt, the Customer’s right to use the API Services is subject to Section 7 of the Terms of Use.

**API Key.** Once the Customer has subscribed to the Services, Nido AI will provide the Customer with an API Key. The Customer shall set-up and use the API Key in compliance with the associated Documentation to be able to use the API. The Customer acknowledges and agrees that the API Key is confidential information. Consequently, the Customer shall not share the API Key with any third party without Nido AI’s prior written consent. At the expiration of this Agreement for any reason whatsoever, the Customer agrees to delete the API Key. Any unauthorized disclosure of the API Key by the Customer will constitute a material breach of this Agreement.

**Obligations of the Customer.** When using the API Services, the Customer shall:

* Use the API Services in compliance with this Agreement, including but not limited to the Terms of Use, and the applicable laws,
* Implement all necessary security measures to prevent any malware, malicious code, or other threats from compromising the API Services and/or Nido AI’s IT infrastructure,
* Comply with the Applicable Data Protection Law. In particular, the Customer, as Data Controller, is responsible for:
  * Providing the End-Users and/or any person whose Personal Data is processed by the Customer with the information required under the applicable data protection regulations, including the information required by Article 13 and 14 of the GDPR,
  * Ensuring that the Customer and/or Authorized Users have obtained all the necessary consents and authorizations with respect to the applicable data law to process Personal Data when using the API Services, including but not limited to any consent related to the User Data, and
  * Providing the Authorized Users with any guidance relating to the processing of Personal Data when using the API Services.
* Provide a disclaimer to any individual accessing an Output or using the API Services. Such disclaimer should highlight the potential inaccuracies and unpredictabilities in the Outputs and encourage individuals to check important information,
* Document the use of the API Services as deployer of the API Services, to the extent that such documentation is required by the applicable law, including but not limited to (i) the Customer’s use case, (ii) the transparency measures implemented by the Customer, (iii) the evaluation process of the API Services, (iv) an assessment of the risks of the API Services in relation to the use-case and steps taken to mitigate those risks and (v) post-deployment monitoring and safeguards;
* Supervise the Authorized Users’ use of the API Services. To this end, the Customer agrees that the Customer is solely responsible for:
  * Ensuring that all individual users, including the Authorized Users, are contractually bound to terms and conditions with the Customer that are as protective of Nido AI’s rights as outlined in this Agreement,
  * Informing the Authorized Users about the proper use of the Solution, including the guidelines, restrictions and usage limitations, and
  * Providing adequate training and educational resources to the Authorized Users, ensuring their understanding of the API Services proper and responsible use, as well as compliance with the specified terms.

**API call limitations.** The volume of API calls made by the Customer within a specific period may be subject to limitation at the sole discretion of Nido AI. Such limitations could be influenced by factors including the expected usage volume associated with the Customer Application.

**Monitoring.** The Customer acknowledges and agrees that Nido AI may monitor the Customer’s use of the API solely for billing purposes, capacity planning and error reporting. The Customer will not block or otherwise interfere with Nido AI’s monitoring of the Customer’s use of the API.

#### 5.2. Service level objectives <a href="#service-level-objectives" id="service-level-objectives"></a>

**Availability.** Nido AI will use commercially reasonable efforts to make the API Services accessible to the Customer 24 hours a day, 7 days a week. Customer shall however note that API is subject to changes, in which case Nido will do its best efforts to preserve backward compatibility without however guaranteeing the absence of breaking changes.

**Exclusions.** The Parties expressly agree that Nido AI will not be liable for any API unavailability caused by:

* Factors beyond Nido AI’s reasonable control, including any Force Majeure Event or Internet access issues,
* Breach of this Agreement by the Customer or the Authorized Users,
* The Customer’s non-compliance with the Documentation and/or the Customer’s improper use of the API Services,
* Failure of any third party hardware, software, or technology,
* Scheduled maintenance work, provided that Nido AIhas duly notified the Customer of such maintenance work in advance, including changes in the API impacting the preservation of backward compatibility, or
* Suspension of the Customer’s right to use the Services under the Terms of Use.

#### 5.3. Technical Support <a href="#technical-support" id="technical-support"></a>

**Assistance.** Nido AI will provide the Customer with all reasonable guidance and information necessary to facilitate the optimal use of the API Services, under the terms set out below (the “**Assistance Service**”). The Customer shall submit assistance requests to Nido AI through Nido AI’s Ticketing Platform. Nido AI will use commercially reasonable efforts to respond to the Customer’s legitimate questions concerning the use of the API Services within a reasonable time, during Business Hours and on Business Days.

**Exclusions.** This Assistance Service does not cover any inquiries by the Customer:

* For which information is readily available in the Documentation,
* Regarding the initial training for the use of the API Services. The Customer is solely responsible for training its teams to use the API Services,
* Resulting from the Customer Application or the use of third-party software, hardware or services not provided by Nido AI,
* Resulting from the Customer’s improper or unauthorized use of the API Services, or
* When the Customer fails to pay the applicable Fees.

**Corrective Maintenance.** The Customer must notify to Nido AI any Anomaly affecting the API using the Ticketing Platform. Nido AI will use commercially reasonable efforts to fix the Anomalies notified by the Customer within commercially reasonable timeframes.

**Adaptive Maintenance.** Nido AI may perform adaptive maintenance, to ensure the API Services’ continual adaptability and alignment with evolving technological standards. The Customer acknowledges and agrees that this Agreement does not automatically include any Upgrades for the API Services and that any Upgrades may require entering into a new Purchase Order. For the avoidance of any doubt, Nido AI is under no obligation to improve the API Services or provide any Upgrade to the Customer.

### 6. Warranties and indemnification <a href="#warranties-and-indemnification" id="warranties-and-indemnification"></a>

#### 6.1. Nido AI warranties <a href="#mistral-ai-warranties" id="mistral-ai-warranties"></a>

**API provided “as is”.** The API Services are provided ‘as is’, without any express or implied warranties, including but not limited to warranties of merchantability, fitness for a particular purpose or use-case whether implied, express or statutory. Without limiting Nido AI’s express obligations under this Agreement, Nido AI does not warrant that the Customer’s use of the Solution will increase its revenues, be error-free or that Nido AI will review the User Data for accuracy.

**Warranties.** Nido represents and warrants that:

* The API Services comply with the Applicable Data Protection Law, and
* Nido AI has the rights to all the intellectual property made accessible to Customer in the context of this Agreement.

#### 6.2. The Customer’s warranties <a href="#the-customers-warranties" id="the-customers-warranties"></a>

The Customer represents and warrants that:

* The Customer has the authority to enter into this Agreement, and
* The Customer will use the API Services in accordance with the applicable laws and regulations and this Agreement and that the Customer will not use the API Services to commit illegal acts, including in particular to harm third parties.

#### 6.3. Indemnification <a href="#indemnification" id="indemnification"></a>

**Indemnification by** Nido **AI.** Nido AI shall indemnify, defend, and hold the Customer harmless against any liabilities, damages andcosts (including reasonable attorneys’ fees) payable to a third party arising out of a third party claim alleging that the API Services infringe any third party intellectual property right. Nido AI shall not indemnify the Customer for any claim arising from or related to:

* The Customer Application,
* The combination of the API with Customer or third-party software, hardware or any other equipment not provided by Nido AI,
* Modification of the API Services by any party other than Nido AI,
* The Customer’s User Data,
* The Customer’s breach of this Agreement, or
* The Customer’s failure to comply with the applicable laws and regulations.

The liability cap set out in Section 8 of these Terms of Service shall apply to the indemnification obligations under this Section.

**Indemnification by the Customer.** The Customer agrees to indemnify, defend, and hold Nido AI and its affiliates and licensors harmless against any liabilities, damages, and costs (including reasonable attorneys’ fees) payable to a third party arising out of a third party claim related to (a) the use of the API Services in violation of this Agreement, (b) the Customer Application (if any), or (c) the User Data. Nothing in this Agreement should limit the Customer’s obligation to indemnify Nido AI of such a claim in case of unauthorized use of the API Services by the Customer or the Authorized User

**Indemnification Procedure.** The indemnification obligations this section of these Terms of Service are subject to the indemnifying Party (a) receiving a prompt written notice of such claim ; (b) being granted the exclusive right to control and direct (including the authority to elect legal counsel) the investigation, defense or settlement strategy of such claim and (c) benefitting from all reasonable necessary cooperation and assistance, including access to the relevant information, by the indemnified Party at the indemnifying Party’s expense. Nido AI shall consult Customer before entering into any settlement or compromise of any claim, and shall take into account all reasonable comments from Customer.

**Remedies.** The remedies in this section are the sole and exclusive remedies for any third-party claim that the API Services, the Customer Application or the User Data infringe intellectual property rights.

### 7. Fees, payment and billing <a href="#fees-payment-and-billing" id="fees-payment-and-billing"></a>

#### 7.1. Fees <a href="#fees" id="fees"></a>

**Applicable Fees.** Unless otherwise agreed in a Purchase Order, the Customer will pay to Nido AI the Fees described in Nido AI’s then-current price list available on the Platform. Unless otherwise stated and to the extent permitted by applicable law, all amounts paid by the Customer are non-refundable and non-cancellable.

**Pricing evolution.** Nido AI may modify the price list at its own discretion upon giving at least thirty (30) days’ notice in writing to the Customer. If the Customer does not agree with this modification, the Customer may terminate this Agreement and/or the relevant Purchase Order by giving Nido AI fifteen (15) days’ notice. The Fees will not be increased during the notice period.

#### 7.2. Billing <a href="#billing" id="billing"></a>

**Payment method.** The Customer must pay the Fees via credit card or any other payment method available on the Platform.

**Frequency.** The Customer authorizes Nido AI and/or the Payment Service Provider to charge the Customer’s select payment method at the end of each Billing Cycle.

**Advance payments.** Nido AI reserves the right to charge the Customer for usage of the API Services in advance of the current Billing Cycle (the “**Advance Payment”**), subject to predefined consumption thresholds available on the Platform, as may be updated time to time by Nido AI (the “**Consumption Threshold**”). Upon the Customer’s consumption meeting or surpassing a Consumption Threshold, Nido AI reserves the right to charge one or multiple Advance Payments to the Customer corresponding to the applicable Consumption Threshold(s) until the end of the current billing Cycle, using the Customer’s chosen payment method. A notification will be sent to the Customer’s email address to inform the Customer about the advance payment and to issue the applicable invoice. At the end of each Billing Cycle, Nido AI will charge the Customer for the applicable Fees, deducing the Advance Payment and will send a summary invoice to the Customer.

**Payment Services.** The Payment Services allowing the Customer to pay the applicable Fees are provided by the Payment Services Provider under its sole control and responsibility. Nido AI is not responsible for the Payment Services provided by the Payment Services Provider.

**Billing.** Billing shall occur simultaneously as payment or Advance Payment(s).

**Disputed Fees**. In the event that the Customer disputes any charges billed by Nido AI, the Customer must inform Nido AI within thirty (30) days from the invoice date to request an adjustment or credit. Should a discrepancy arise, the Customer acknowledges the obligation to settle any undisputed amounts as per the previously outlined payment terms. Both Parties commit to engaging in good faith discussions to resolve any contested charges.

**Late payments.** The Customer may not withhold any amounts due under this Agreement. Any late payment will (i) be increased by a fixed indemnity of fourty (40) Singapore Dollars and the costs of collection (if any) and (ii) will incur a late payment interest rate of three (3) times the legal interest rate per day, starting from the day after the payment due date until full payment is received. For the purpose of this Agreement and subject to applicable law, the legal interest rate means the interest rate applied by the Monetary Authority of Singapore to its most recent refinancing operation, plus 10 percentage points.

**Suspension or termination.** Nido AI reserves the right to suspend or terminate the Customer’s access to the API Services in case of late-payment or non-payment, under the conditions set forth by the Terms of Use.

**Taxes**. Fees stated are exclusive of all Taxes. The Customer is responsible for settling any applicable Taxes that may be levied on top of the Fees and must pay Nido AI for the Services without any deductions related to Taxes. If Nido AI is required to collect or pay any Taxes, they will be invoiced to the Customer, who is obligated to settle them unless a valid tax exemption certificate regarding these Taxes is timely provided to Nido AI. If the Customer is obligated by law to withhold Taxes from any payments under this Agreement, the Customer agrees to increase the payment amount to ensure that Nido AI receives the full agreed-upon Fees notwithstanding these deductions. The Customer will be solely responsible for remitting the withheld amounts to the relevant authorities. The Customer shall provide Nido AI with all pertinent tax identification information that Nido AI may require under the applicable law to ensure compliance with prevailing tax regulations and the authorities of relevant jurisdictions. The Customer agrees to settle any potential interests, penalties, taxes, or fines resulting from the Customer’s failure to declare, or reimburse Nido AI for such amounts.

#### 7.3. Settlement of Disputes

If you have any questions or concerns regarding this Fees, payment and billing, please contact us at <contact@nido.sg>

### 8. Liability <a href="#liability" id="liability"></a>

**Liability Cap.** To the extent permitted by law and except for the Excluded Claims as defined below, the total aggregate liability of Nido AI in respect of any Losses incurred by the Customer under or in relation to this Agreement will not exceed, in the aggregate, the lower of (i) the amount of the Fees paid or payable by the Customer in the twelve (12) calendar months preceding the date on which the first such event or events occurred or (ii) 10.000 Singapore Dollars.

**Excluded Claims.** Notwithstanding the foregoing, nothing in this Agreement shall limit or exclude the liability of the Parties for the following claims ("**Excluded Claims**"):

* Fraud or fraudulent misrepresentation.
* Any unauthorized disclosure of a Confidential Information.
* Any unauthorized use of the Solution and the Services.
* Failure to make pay any amounts due under this Agreement.
* Any violation of the non-compete provisions of this Agreement.

**Legal Action.** The Parties agree that the limitations specified in this section apply regardless of the form of action, whether in contract, tort (including negligence), strict liability or otherwise.

### 9. Personal Data <a href="#personal-data" id="personal-data"></a>

#### 9.1. Nido AI as Data Controller <a href="#mistral-ai-as-data-controller" id="mistral-ai-as-data-controller"></a>

Nido AI collects and processes the Customer’s Personal Data as Data Controller for the following purposes:

* Commercial management of this Agreement;
* Billing;
* Marketing operations.

For more information on how Nido AI processes Personal Data as Data Controller, the Customer can refer to Nido AI’s privacy policy.

#### 9.2. Nido AI as Data Processor <a href="#mistral-ai-as-data-processor" id="mistral-ai-as-data-processor"></a>

Nido AI may process Personal Data on behalf of the Customer, as Data Processor. In such the latter case, the \[Nido Data Processing Agreement] shall apply between the Parties.

### 10. Term and termination <a href="#term-and-termination" id="term-and-termination"></a>

**Subscription Term.** This Agreement will commence on the Effective Date and continue until terminated by the Customer.

**Termination for convenience.** The Customer may terminate this Agreement with a notice period of fifteen (15) days prior to the end of the current Billing Cycle. Upon termination, any outstanding Fees owed for the API Services used until the termination date shall be settled.

**Other causes for termination.** Either Party may terminate this Agreement under the conditions set forth in the Terms of Use.

**Effects of termination.** Upon termination or expiration of this Agreement, the Customer shall (i) cease to use the API Services, (ii) delete the API Key and (iii) pay any outstanding Fees to Nido AI. The termination of this Agreement, for any reason whatsoever, shall not entitle the Customer to a refund of any previously paid fees or charges for the API Services, unless expressly agreed upon by both Parties in writing. The Termination of this Agreement will not automatically result in the deletion of the Customer’s Account. Subject to having paid any outstanding amounts to Nido AI, the Customer may delete its Account after the termination of this Agreement, by using the applicable feature on the Platform.

### 11. Provisions that apply only to Consumers <a href="#provisions-that-apply-only-to-consumers" id="provisions-that-apply-only-to-consumers"></a>

This section only applies to any Customer who acts as a consumer under the european directive 2011/83/UE of 25 october 2011 (the “**Consumer**”).

#### 11.1. Right of withdrawal <a href="#right-of-withdrawal" id="right-of-withdrawal"></a>

By accepting these Terms of Service and utilizing the API Services:

* The Consumer acknowledges that the API Services will be provided before the expiration of the withdrawal period of fourteen (14) days from the Consumer’s acceptance of this Agreement, and
* The Consumer expressly waives its right of withdrawal.

Nido AI will send to the Consumer a confirmation of the Consumer’s waiver of its right of withdrawal along with the confirmation of the Consumer’s Subscription under Section 4 of these Terms of Service.

#### 11.2. Legal warranties <a href="#legal-warranties" id="legal-warranties"></a>

Along with any commercial warranty provided to the Consumer under this Agreement, the Consumer also benefits from the legal warranty of compliance in the conditions set forth in Exhibit 1 of these Terms of Service.

#### 11.3. Upgrades <a href="#upgrades" id="upgrades"></a>

**Upgrades necessary to maintain the compliance of the API Services.** Nido AI will inform the Consumer of any Upgrades necessary to maintain the compliance of the API Services during the Subscription Period. MisNidotral AI will notify the Consumer of the availability of Upgrades and the consequences of their non-installation for the Consumer. Nido AI shall not be held liable for any non-compliance related issues when the Consumer fails to install, within a reasonable timeframe, the necessary Upgrades to maintain the API Services’ compliance.

**Upgrades not necessary to maintain the compliance of the API Services.** Nido AI may propose Upgrades that are not necessary to maintain the compliance of the API Services. In such cases, Nido AI will inform the Consumer in advance and through a durable medium about the planned Upgrades and their implementation date. Any Upgrades performed will be conducted without additional costs to the Consumer. The Consumer may refuse the aforementioned Upgrade. In this event, the Consumer has the right to terminate this Agreement without charges (unless the Upgrade has minor implications for the Consumer or if, without this Upgrade, the Services remain compliant).

### 12. Evolution of these Terms of Service <a href="#evolution-of-these-terms-of-service" id="evolution-of-these-terms-of-service"></a>

In the event of any modifications to these Terms of Service, Nido AI will notify the Customer no later than thirty (30) days prior to the effective date of such modifications. The Customer may object to such modifications by mail at <legal@Nido.sg> during this notice period. Failing that, the modifications will become effective at the end of the notice period. If the Customer objects to the modifications during the notice period, Nido AI and the Customer will consult and negotiate in good faith, taking into account their mutual interests, to find an amicable resolution.


# Terms of Use

### Preamble <a href="#preamble" id="preamble"></a>

Welcome to Nido! Our platform provides access to Nido AI’s artificial intelligence models tailored for text generation alongside with a range of complementary services (the “**Services**”).

This agreement (the “**Agreement**”) is entered into by and between NIDO PTE. LTD. , a Singapore entity registered at Singapore under UEN 202400465M ("**Nido AI**" or “**Nido**”, also referred to with the possessive adjective “**Our**” or “**Us**”) and the customer who subscribes, accesses or uses the API Services (the “**Customer**”). This Agreement governs Your access and use of any of Our Services.

**These Terms of Use apply to any subscription, use and/or access to the Services by You. By accessing or using the Services, You expressly agree to abide by and be bound by this Agreement.**

### Definitions <a href="#definitions" id="definitions"></a>

The capitalized words in this document shall have the meaning set forth below:

* “**Account**”: means Your account on the Platform.
* “**Agreement**”: means the agreement entered into by and between Nido AI and You, composed of (a) these Terms of Use, (b) where applicable, the applicable Terms of Service and (c) all materials referred or linked to in the above mentioned documents, unless otherwise stated.
* “**Confidential Information**”: means any and all information, in any medium, which is provided by one party to this Agreement ("**Discloser**") to the other Party ("**Recipient**"), that is either (i) related to business practices, financial statements, financial information, pricing, customers, products, services, any technical or performance information about the Model(s) including but not limited to the weights of the Mode(s)l and the training dataset of the Model(s), methods, know-how, techniques, processes, apparatuses, trade secrets, proprietary knowledge and employee data; or (ii) marked using a legend such as “confidential”, “proprietary” or similar words, or if disclosed orally must be confirmed as such by the Discloser; or (iii) any information which the Recipient should have reasonably considered to be confidential under the circumstances surrounding disclosure.
* “**User Data**”: means any of the following data:
  * The “**User Feedback**”: means Your feedback pertaining to the accuracy, relevance, and effectiveness of the Outputs, including but not limited to any identified discrepancies or errors.
  * The “**User Training Data**”: means any data provided by You that is used by You for the purpose of prompting, fine-tuning or customizing the Services to Your specific needs or use-case, for the duration of this Agreement.
  * The “**Outputs**”: means any and all content generated by the Services in response to a Prompt.
  * The “**Prompts**”: means any and all instructions, queries or textual cues given by You to the Services in order to generate an Output.
* “**Data Controller**”: means the legal person who determines the means and the purposes of the processing of Personal Data.
* “**Data Processor**”: means the legal person that processes the Personal Data on behalf of the Data Controller and under its documented instructions.
* “**Effective Date**”: means the earlier of (i) the date You first use the Services or (ii) the date You accept these Terms of Use.
* “**Filters**”: means the automatic mechanisms such as safety prompts implemented by Nido AI designed to screen or remove offensive, inappropriate or illicit content from the Output.
* “**Identifiers**”: means Your email address and password required to log into Your Account.
* “Nido **AI’s Intellectual Property**”: means the Model(s), the Services, and any trade names, trademarks, logos, patents, trade secrets, know-how, designs, drawings, copyrights, engineering, photographs, samples, software, models, algorithm, image, literature, information, ideas, concepts, or improvements pertaining to the Services and other data of any kind that is protectable through copyrights, patent, trade secrets, trademarks, trade dress, service marks, or and includes any modification or enhancement of the Services.
* “**Model(s)**”: means any version of any artificial intelligence model developed by Nido AI and made accessible in any manner (API, user interface…) on the Platform.
* **“Parties”:** means You and Nido AI. In the singular, “**Party**” means one of the Parties.
* **“Personal Data**”: means any data related to an identified or identifiable natural person.
* “**Privacy Policy**”: means Nido AI’s privacy policy.
* “**Platform**”: means the platform operated by Nido AI, available at <http://Nido.sg>.
* “**Services**”: means the services provided by Nido AI to You under these Terms of Use, including but not limited to the Platform, the Model(s) and any other services provided by Nido AI along with any associated software, application and website. The Services may be free of charge (the “**Free Services**”) or charged to You (the “**Subscription Services**”).
* “**Terms of Service**”: means the agreement entered into by and between the Parties and governing the use of specific Services and/or Subscription Services.
* “**Terms of Use**”: refers to these terms of use.
* “**User**” or “**You**”: means any person who uses, accesses, browses and/or subscribes to the Services. The terms “Your,” and “Yours” are also used throughout this Agreement to specifically refer to such User.

### 2. Purpose and scope <a href="#purpose-and-scope" id="purpose-and-scope"></a>

**Purpose.** The purpose of these Terms of Use is to describe the rights and responsibilities of the Parties in connection with Your use of the Services.

**Additional Terms.** Some Services may be subject to additional terms specific to that Service as set forth in the applicable Terms of Service. By accessing or using a Service covered by specific Terms of Service, you also agree to such Terms of Service.

**Hierarchy.** In case of any conflicts or discrepancies between these Terms of Use and the applicable Terms of Service, the applicable Terms of Service shall prevail.

### 3. Acceptance <a href="#acceptance" id="acceptance"></a>

The use of the Services implies Your unreserved acceptance of these Terms of Use. You must read these Terms of use carefully before using the Services. We recommend You download these Terms of Use, print them and keep a copy thereof.

### 4. Access to the Services <a href="#access-to-the-services" id="access-to-the-services"></a>

#### 4.1. What You need to access and use the Services <a href="#what-you-need-to-access-and-use-the-services" id="what-you-need-to-access-and-use-the-services"></a>

**Age limitation.** You must be at least thirteen (13) years old to use Our Services. You must have parental or legal guardian permission if You are a minor registering for Our Services. We will promptly delete any Account found to be in violation of such requirements.

**Technical requirements.** You need a computer (or any compatible electronic device) and a high-speed internet connection to access and/or use Our Services. Depending on the Services You use, some additional technical requirements might be required, as further described in the Documentation and/or in the applicable Terms of Service. You are responsible for ensuring You comply with the foregoing technical requirements to utilize the Services effectively.

**Subscription Services.** Fees may apply to certain Services. In that case, you will have to pay the applicable fees and accept the specific Terms of Service to access such Subscription Services.

**Costs.** Unless otherwise stated, the costs of the abovementioned technical requirements and Subscription Services shall be borne solely by You.

#### 4.2. Your Account <a href="#your-account" id="your-account"></a>

**Account creation.** You must create an Account on the Platform to use the Services. To do so, You must fill in the form provided on the Platform. You must provide loyal, complete, correct and up-to-date information to Nido AI and promptly update the information on Your Account if any changes occur.

**Restrictions.** Your Account is intended for Your use only. Unless otherwise stated, You shall not share Your Account with any third party without Nido AI’s prior written consent. You represent and warrant that You will not create (a) any fake Accounts, (b) more than one Account or (c) an Account on behalf of another individual or entity without such individual’s or entity’s consent.

**Account security.** You must keep Your Identifiers secure and strictly confidential. Nido AI does not commit to monitoring which individual is using Your Account. You are thus solely responsible for any action carried out via Your Account, whether that action was carried-out by You or not. For the avoidance of doubt, any operation carried out using Your Account will be considered to have been carried-out by You. Therefore, You shall (a) monitor the use of the Services and Your Account closely and (b) notify Nido AI at <support@Nido.sg> in the event of any (suspected or confirmed) unauthorized or fraudulent use of Your Account as soon as You become aware of such events.

**Suspension or deactivation by** Nido **AI.** Nido AI reserves the right to suspend or deactivate Your Account under Section 12 of these Terms of Use, if Nido AI suspects or determines that such Account may have been used for an unauthorized purpose.

**Deactivation by You.** You may deactivate Your Account at any time by sending an email to <support@Nido.sg> unless you subscribed to Our Subscription Services. In such a case, You may only delete Your Account under the terms and conditions set forth in the applicable Terms of Service.

### 5. Our Services <a href="#our-services" id="our-services"></a>

**The Platform.** Any User may access and use the Platform free of charge as well as the Free Services. Our Services consist in allowing You to use Our Model(s) for the purpose of generating Outputs. You can access the full list and description of the Services provided by Nido AI on the Platform and/or on the Documentation, as may be amended from time to time.

**Restrictions.** Certain Services may not be directly accessible, either due to their payable nature (Subscription Services) or restricted access limited to specific Users, such as businesses. The paid or restrictive nature of these Services is explicitly outlined on the Platform and/or the applicable Documentation.

**Evolution of the Services.** Subject to the applicable Terms of Service, We reserve the right to modify, update or enhance Our Services without notice. Such modifications may include, but are not limited to, debugging, feature additions, enhancements or alterations to improve Service quality. You agree that We are not obligated to maintain or provide prior features, functionalities or Services following modifications, updates or upgrades, unless otherwise stated.

**User support.** If You have any question regarding the use of Our Services, You must first read the Documentation available on the Platform. If You cannot find an answer in such Documentation, You can contact us by email at <support@Nido.sg>.

### 6. Your User Data <a href="#your-user-data" id="your-user-data"></a>

**Responsibility.** When You use Our Services, You may provide Prompts and Our Services may generate Outputs in return. You are solely responsible for Your use of the Prompts and the Outputs. You shall only use Prompts to which You own all required rights under applicable law and do so in a manner that is consistent with the applicable law. You shall not intentionally make the Services generate Outputs infringing intellectual property rights, third party rights or applicable law, or use such infringing Outputs after You become aware of such infringement.

**Prompt ownership**. You hereby represent that You own Your Prompts. You retain all the rights, including but not limited to the intellectual property rights to Your Prompts. You grant Us a worldwide, revocable, non-exclusive, non-sublicensable, non-transferable right to use the Prompts for the purpose of performing the Services, for the term of this Agreement.

**Output ownership**.Where applicable, We assign to You, all the intellectual property rights in and to the Outputs, including (i) **the right to reproduce**, without any limitation of number, all or part of the Outputs (ii) **the right to represent**, broadcast or have broadcasted, to communicate or make available the Outputs to the public (iii) **the right to adapt**, correct, modify, improve the Outputs, the right to make new versions of the Outputs from all or part of the existing Outputs, the right to maintain, modify, arrange, assemble, condense, transcribe, scan, mix, migrate, zip, unzip all or part of the Outputs, the right to translate them into any language whatsoever (including computer language), the right to interface them with any software, material or database (unless otherwise stated), the right to integrate them in any existing or future works, on any support and by any means, (iv) **the right to define** and to modify the use, the purpose of the use and the destination of the Outputs in any form, known and unknown, existing or future, and (v) more generally, **the right to use, exploit, distribute** the Output. You are allowed to exercise these rights on any existing or future, known or unknown (i) medium including but not limited to any printed, electronic, digital, numerical, analog, magnetic media, (ii) mean of communication, telecommunication, or other network including but not limited to radio, video, broadcast, satellite, Internet, electronic. Unless otherwise stated, these rights can be exercised for any purpose (public exploitation, private use, free, paid for, subscription, etc.). This assignment is granted worldwide and for the entire legal term of protection of the Outputs by the intellectual property rights applicable as provided for by the applicable law. However, You are expressly prohibited to use the Outputs and/or any modified or derived version of the Outputs to (directly or indirectly) to reverse engineer the Services.

**Output similarity**. You agree that, due to the nature of Our Services, if another User uses a Prompt similar to Yours, our Services may generate an Output similar or identical to Yours. We do not warrant that Your Output is not similar or identical to another User’s Output. Consequently and unless otherwise stated, we will not indemnify You in case Your Output is similar or identical to another User’s Output.

**Output accuracy**. You acknowledge and agree that Our Services are inherently subject to certain unpredictabilities, particularly with the Outputs generated, as such Outputs depend on Your Prompt and as the technology behind Our Services is complex and continuously evolving. For the avoidance of any doubt and to the extent permitted by applicable law, Our Services are provided without any express or implied warranty regarding the quality or the accuracy of the Outputs. Consequently, You agree that the Outputs generated by Our Services may be incomplete, not up-to-date or not entirely accurate. Therefore, when using Our Services, You must:

* Ensure the quality of Your Prompts,
* Assess the accuracy and/or the suitability of the Output to your needs before using or sharing the Output,
* Include in Your Prompt any relevant safety prompt to better filter or adapt the Output, especially if You deactivated the Filters proposed by Nido AI, and
* Check the information generated by the Output and, in any case, not rely on the Output as a unique source of truth and/or information, as safe and inoffensive in every circumstance, or as a replacement for professional guidance.

**Training**. You grant Us a worldwide, revocable, non-exclusive, non-sublicensable, non-transferable right to use Your User Feedback for the purpose of training Our Model(s). This helps us improve the accuracy of the Outputs generated by Our Model(s) and the overall efficiency and/or safety of Our Services. This license is granted for the duration of the intellectual property rights under applicable law. We do not use Your Prompts and/or Your Outputs to train Our Model(s).

**Monitoring**. We may use Your Prompts and Outputs to monitor abuse (meaning, to monitor any breach by You of the Agreement). To this end, we retain Your Prompts and Outputs for a period of thirty (30) days. If, for a legitimate purpose, You do not want Us to retain Your Prompts and Outputs, You can formulate your opt-out by sending an email at <legal@Nido.sg>.

**Safety**. We make all our best efforts to make sure Our Services do not generate Outputs that contain offensive, inappropriate or illicit content. To this end, We have implemented and / or are proposing different safety mechanisms such as Filters to Our Model(s). You may deactivate these Filters for legitimate purposes pertaining to Your specific Use-Case. You agree that (a) We do not warrant that the Output generated will not be offensive, inappropriate or illicit, (b) You are solely responsible for the use of Your Output and (c) You shall in no way use the Output for any illicit or unlawful purpose and/or to harm Nido AI and/or a third party.

### 7. Your obligations <a href="#your-obligations" id="your-obligations"></a>

**General obligations.** You shall use Our Services in compliance with this Agreement and all applicable laws and regulations, including but not limited to all intellectual property, data and privacy laws. Therefore, You are responsible for:

* **The information You provide Us.** You must provide honest, loyal, complete, accurate and up-to-date information to Nido AI and promptly update such information as need may be.
* **Your use of Your Account and Our Services.** You must:
  * Not use Our Services for any illicit, unlawful, prohibited and/or illegal purposes, to harm third parties or Nido AI.
  * Not use the Services for a benefit of a third party unless agreed otherwise in a separate contract with Us.
  * Not use the Services to circumvent the intended features, functionality or limitations of the Services or to divert Our Services from their intended purposes as set forth in this Agreement.
  * Not interfere with or circumvent mechanisms in the Services intended to monitor Your use of Our Services or to limit such use, except as provided for in Section 6 (Your User Data) of these Terms of Use.
  * Not infringe the rights of third parties, including but not limited to intellectual property rights or privacy. You shall only use Prompts to which You own all required rights under applicable law and to do so in a manner that is consistent with the applicable law.
  * Not use the Services in a manner in which, in Nido AI’s opinion, would affect Nido AI’s reputation or goodwill or any of its trademarks.
* **Your User Data.** You must:
  * Not represent that the Output was generated by a human when it was generated by Our Services.
  * Not use the Output if You are aware that it infringes the rights of third parties, including but not limited to intellectual property rights.
  * Comply with the applicable data protection laws if You use Personal Data as part of Your User Data.
* **Not compromising the security of Our Services.** You must:
  * Not interfere with, circumvent or bypass mechanisms in the Services intended to ensure the security of our Services.
  * Not disable, overly burden, impair or otherwise interfere with servers or networks connected with Our Services.
  * Not disseminate data that would diminish, disorganize, slow down or interrupt the normal functioning of Our Services.
  * Not use, store, transmit or disseminate data that contains any computer viruses, worms, malicious code, or any software intended to damage or alter a computer system or data.
  * Not perform any vulnerability, penetration or similar testing of Our Services.
* **Not infringing Nido AI’s Intellectual Property.** Subject to applicable law, You must:
  * Not remove or otherwise obscure any copyright or proprietary notices on the Services, including but not limited to Our brands, trademarks or any other copyright notice.
  * Not bypass, attempt to bypass, alter, disable or in any way interfere with the digital rights management measures that may be integrated to the Services. You acknowledge that these protection mechanisms are essential for safeguarding the intellectual property and security of the Services.
  * Not use the Services in any manner for the purpose of building a similar or competitive service.
  * Not incorporate Our Services into Your products and/or services, unless otherwise stated.
  * Not extract, by permanent or temporary transfer, all or part of the contents of Our Services, by any means and under any form whatsoever, including by scraping, except as otherwise authorized under the terms of this Agreement.
  * Not merge or combine the Services with any software, programme or technology, except as otherwise authorized under the terms of this Agreement..
  * Not copy, reproduce, transcode, adapt, translate, arrange, modify or create any derivative works of the Services except as expressly authorized by applicable law.
  * Not seek to reverse engineer or reverse engineer, disassemble, decompile, translate or otherwise seek to obtain or derive the source code, underlying ideas, algorithms, file formats or non-public APIs to any Services, except to the extent expressly permitted by applicable law (and then only upon advance notice to Us).
  * Not grant a license, sub-licence or access to or sell, lend, lease or distribute, in any form whatsoever, the Services to third parties without the prior written authorization of Nido AI.
  * Not make the Services accessible to third parties, unless otherwise stated.
  * Not use Our Services for competitive analysis or build competitive products or services.
  * Not use Outputs to develop model(s) that compete with Nido AI and/or to reverse-engineer Our Services.

**Third parties.** You shall not encourage or assist any other User or third party in doing anything that is strictly prohibited under this Agreement.

**Monitoring.** Nido AI will retain the Customer’s Prompts and Outputs for a duration of thirty (30) days to monitor abusive use of Our Services.

### 8. Our obligations <a href="#our-obligations" id="our-obligations"></a>

**General obligations.** Subject to Your compliance with this Agreement and to the applicable Terms of Service, Nido AI will use commercially reasonable efforts to make the Services accessible 24 hours a day, 7 days a week. However, Nido AI reserves the right to suspend the availability of all or part of the Services (a) in case of a Force Majeure Event (as defined in Section 14 of these Terms of Use), (b) for maintenance purposes, including but not limited to, to fix anomalies, bugs or errors, to launch new or improved features or Services, or to address immediate security concerns. Unless otherwise stated, Nido AI is not under an absolute obligation of any kind. Nido AI shall not be held responsible for any disruptions, interruptions and/or anomalies that are not of its making and that affect, for example, transmissions via the Internet network and more generally via the communication network, whatever the extent and duration. Nido AI reserves the right to make available a new Model, discontinue the availability of a Model, or change the performances of a Model, without prior notice to Customers, even if Nido will do its best efforts to warn Customers in advance in case of discontinuation of a Model.

**Security.** Nido AI will use commercially reasonable efforts to implement and maintain reasonable security measures to prevent unauthorized access to the Services, as well as fraudulent destruction, loss, or alteration of data. These security measures may include, but are not limited to, the use of firewalls, encryption, strict access controls, regular backups, and security protocols compliant with good industry standards.

**Illicit content.** You have the availability to report to Nido AI any Output and/or User Data that (a) incites hate, violence, or discrimination against individuals based on their origin, ethnicity, religion, gender, sexual orientation, etc. (b) glorifies sexual harassment, (c) violates human dignity (e.g., human trafficking or pimping), (d) glorifies crimes against humanity or denying their existence, (e) incites terrorism, (f) glorifies very serious crimes against individuals (e.g., murder or sexual assault) (g) glorifies crimes involving theft, extortion, or material damage posing a danger to individuals (h) are of a pedophilic nature (i) are dangerous for minors. You can report such content by using the report feature on the Platform and/or by sending an email at <support@Nido.sg>. You grant Us the right to access the reported content to improve Our Services (e.g. to help Us make sure that the Model does not generate illicit content). This right is granted worldwide and for the duration of the intellectual property rights under applicable law. You must delete such content using the applicable feature on the Platform.

### 9. Intellectual Property\*\* <a href="#intellectual-property" id="intellectual-property"></a>

#### 9.1. License to use the Platform and the Free Services <a href="#license-to-use-the-platform-and-the-free-services" id="license-to-use-the-platform-and-the-free-services"></a>

**Right to use.** Subject to the applicable Terms of Service and to Section 7 of these Terms of Use, Nido AI grants You a worldwide, revocable, non-exclusive, non-sublicensable, non-transferable right to use the Platform and the Free Services for the term of this Agreement, in compliance with this Agreement and the applicable law.

**Warranties.** Nido AI makes no representations or warranties regarding the accuracy, reliability, or completeness of the Platform and/or the Free Services or their suitability for Your specific requirements. You acknowledge and agrees that any use of the Services is at Your own risk, and Nido AI shall not be liable for any Losses arising from Your misuse or inability to use the Platform and/or the Free Services, or from the non suitability of the Platform and/or the Free Services to your specific requirements, including but not limited to direct, indirect, incidental, consequential, or punitive damages.

Nido **AI Intellectual Property.** Nido AI has and retains all right, title and interest, including all intellectual property rights, in and to the Platform and/or the Free Services, including but not limited to the Model(s). No rights are granted to You, except as expressly set forth in this Agreement. All rights and licenses granted under this Agreement shall terminate when the applicable Agreement and/or the applicable Terms of Service terminates.

#### 9.2. Intellectual property <a href="#intellectual-property-1" id="intellectual-property-1"></a>

**Your intellectual property.** You remain the sole owner of all right, title and interest, including all intellectual property rights in and to Your User Data.

**Nido AI’s Intellectual Property.** Nido AI remains the sole owner of all right, title and interest, including all intellectual property rights in and to Nido AI’s Intellectual Property, including but not limited to the Model(s), the Documentation and the Services. The Services are made available on a limited access basis, and no ownership right is conveyed to the Customer, irrespective of the use of terms such as “purchase” or “subscription”. Any representation or reproduction, in whole or in part, of the Solution and the Services, by any process whatsoever, without Nido AI’s prior express authorisation, is strictly prohibited and will constitute an infringement punishable by the provisions of the applicable law.

### 10. Liability <a href="#liability" id="liability"></a>

#### 10.1. Disclaimer <a href="#disclaimer" id="disclaimer"></a>

**Disclaimer.** To the extent permitted by applicable law, Nido AI will not be liable:

* In case of a Force Majeure Event (as defined in Section 14 of these Terms of Use),,
* In case of temporary unavailability of the Services (a) for maintenance purposes, including but not limited to, to fix anomalies, bugs or errors, to launch new or improved features or Services, or to address immediate security concerns, or (b) in case We suspended Your Account,
* In relation to third-party content or websites linked or referred to on the Platform,
* For any cause not attributable to Nido AI,
* For Your use of Your User Data,
* For your breach of this Agreement,
* In case Your Output is similar or identical to another User’s Outputs,
* For any loss of profits, income, revenue, business opportunities, loss or corruption of data or information,
* For any failure to realize expected revenues or savings, loss or damage to goodwill, pure economic loss or other economic or pecuniary loss (regardless of whether any of these type of loss or damage are direct, indirect, special or consequential), or
* For any indirect, special, incidental, punitive, exemplary, incidental or consequential damages of any kind, even if informed of the possibility of such damages in advance.

#### 10.2. Limitation of liability <a href="#limitation-of-liability" id="limitation-of-liability"></a>

**Liability Cap.** To the extent permitted by law and subject to the applicable Terms of Service, in no event will Our total aggregate liability in connection with or under these Terms of Use, or Your use of or inability to use the Services, exceed 100 Singapore Dollars (the “**Liability Cap**”).

**Multiple claims.** The existence of one or more claims under this Agreement will not increase this Liability Cap. You agree that any Losses or claim You may have under this Agreement can only be recovered once and any such claim will exhaust all and any other claims that might otherwise arise against Nido AI in relation to which the Customer has been compensated or otherwise reimbursed.

**Legal action.** You agree that the limitations specified in this section apply regardless of the form of action, whether in contract, tort (including negligence), strict liability or otherwise.

### 11. Term, suspension and termination <a href="#term-suspension-and-termination" id="term-suspension-and-termination"></a>

#### 11.1. Duration <a href="#id-111-duration" id="id-111-duration"></a>

These Terms of Use shall commence on the Effective Date and continue for the duration of Your registration on the Platform.

#### 11.2. Suspension of Your Account <a href="#suspension-of-your-account" id="suspension-of-your-account"></a>

**Suspension.** We reserve the right to suspend Your Account and/or Your access to all or part of the Services in case of:

* Your breach of this Agreement,
* Late payment or non-payment of the applicable fees (if any),
* Immediate security concerns.

**Notification.** We will notify You of the suspension and the reasons for such suspension seven (7) days prior to the suspension taking effect, except in the event of a serious breach by You of this Agreement or an immediate security concern, in which case the suspension will take effect with shorter notice.

**Effects of the suspension.** During the suspension, all rights and permissions granted to You under this Agreement will be suspended and You will not be able to access or use Our Services.

**Remediation.** You shall have a period of thirty (30) days to remedy the breach notified by Nido AI and to notify Nido AI accordingly. Failing that, Nido AI reserves the right to terminate this Agreement for cause immediately, without further notice. Termination will be effective at the end of this thirty (30) days period.

#### 11.3. Termination <a href="#termination" id="termination"></a>

**Termination for convenience.** Subject to the applicable Terms of Service, You may terminate this Agreement at any time by deleting Your Account on the Platform, unless You subscribed to Subscription Services.

**Termination for cause.** Either Party may terminate this Agreement if the other Party fails to cure a material breach of this Agreement and/or any relevant Purchase Order within thirty (30) days after notice of such breach, provided that such breach is remediable. For illustrative purposes, any of the following breaches by either Party shall be considered a material breach of this Agreement (a) any unauthorized use of the Services and/or, (b) failure to make pay any amounts due under this Agreement.

**Remedies.** Except where an exclusive remedy may be specified in this Agreement, termination is not an exclusive remedy, and the exercise by either Party of any remedy under this Agreement will be without prejudice to any other remedies it may have under this Agreement, by law or otherwise.

**Effects of termination.** Upon the expiration or termination of this Agreement for any reason whatsoever Your Account will be deactivated and You will (a) cease to use the Services, (b) destroy and cease to use any Confidential Information You may have in Your possession and (c) where applicable, pay to Nido AI any outstanding amounts due under this Agreement.

**Survival.** All payment obligations incurred during the term of this Agreement and the following Sections shall survive the expiration or termination of these Terms of Use: Section 11 (Liability), Section 9 (Intellectual Property), Section 11 (Term, Suspension, Termination), Section 15 (Dispute resolutions and applicable law).

### 12. Personal Data <a href="#personal-data" id="personal-data"></a>

Nido AI processes Your Personal Data as Data Controller for the purpose of providing the Services. If You want to know more about the way We process Your Personal Data and how you can exercise Your rights, please refer to our Privacy Policy.

### 13. Evolution of these Terms of Use\*\* <a href="#evolution-of-these-terms-of-use" id="evolution-of-these-terms-of-use"></a>

**General Principle.** We reserve the right to modify these Terms of Use at any time. The Terms of Use that apply are the ones in force when You use the Services.

**Substantial modification.** In the event of substantial modifications to these Terms of Use, We will notify You no later than seven (7) days prior to the effective date of such modifications. If You do not agree with such substantial modifications, You may terminate this Agreement.

### 14. General provisions\*\* <a href="#general-provisions" id="general-provisions"></a>

**Non waiver.** The fact that either of the Parties does not claim application of any clause whatever of this Agreement or condones its non-performance, shall not be construed as a waiver by that Party to the rights stemming for it from said clause. A waiver of any right or remedy under this Agreement or by law is only effective if given in writing and shall not be deemed a waiver of any subsequent right or remedy.

**Severance.** If a court or any other competent authority finds any provision of this Agreement (or part of any provision) to be invalid, illegal or unenforceable, that provision or part provision shall, to the extent required, be deemed deleted, and the validity and enforceability of the other provisions of this Agreement shall not be affected. If any invalid, unenforceable or illegal provision of this Agreement would be valid, enforceable and legal if some part of it were deleted, the provision shall apply with the minimum modification necessary to make it legal, valid and enforceable.

**No-partnership.** Nothing in this Agreement is intended to, or shall be deemed to constitute a partnership or joint venture of any kind between any of the Parties, nor constitute any Party the agent of another Party for any purpose. No Party shall have authority to act as agent for, or to bind, the other party in any way. Neither the User nor Nido AI will suggest or claim any sponsorship, endorsement or affiliation with the other party, unless such a relationship is governed by a separate agreement.

**Entire Agreement.** This Agreement is the entire agreement between the Parties relating to the Services, and any other subject matter covered by this Agreement and supersedes all prior or contemporaneous oral or written communications, proposals and representations between the Parties, with respect to the Services or any other subject matter covered by the Agreement.

**Force Majeure.** Neither Party will be liable to the other for any delay or failure to perform any obligation under these Terms if the delay or failure is due to events which are beyond the reasonable control of such party, such as a strike, blockade, war, act of terrorism, riot, natural disaster, failure or diminishment of power or telecommunications or data networks or services, or refusal of a license by a government agency (the “**Force Majeure Event**”).

### 15. Dispute resolution and applicable law <a href="#dispute-resolution-and-applicable-law" id="dispute-resolution-and-applicable-law"></a>

#### 15.1. Applicable Law <a href="#applicable-law" id="applicable-law"></a>

This Agreement and any dispute or claim (including non-contractual disputes or claims) arising out of or in connection with it or its subject matter or formation shall be governed by and construed in accordance with the laws of France.

#### 15.2. Dispute resolution <a href="#dispute-resolution" id="dispute-resolution"></a>

**15.2.1. Amicable resolution**

**General principle.** In the event of any controversy or claim arising out of or relating to this Agreement, the Parties will consult and negotiate with each other and, recognizing their mutual interests, attempt to reach a solution satisfactory to both Parties.

**You are a consumer under the european directive 2011/83/UE of 25 october 2011.**

* Where the User is located within the European Union, the User may contact the european platform for the online settlement of disputes accessible at the following address: <https://ec.europa.eu/consumers/odr/main/index.cfm?event=main.home2.show&lng=FR>

You agree that the mediation process is not mandatory and that Either Party may withdraw from such mediation process at any time.

* Where the User is not located within the European Union, the User may contact Nido AI directly at <support@Nido.sg>.

**You are a business.** If the Parties do not reach settlement within a period of sixty (60) days, either Party may escalate the controversy or to the senior executives or both Parties (the “**Executives**”). The Executives shall then promptly engage in discussions and negotiations to seek a mutually agreeable resolution in the best interest of both Parties.

**15.2.2. Competent jurisdiction**

**General Principle.** If the Parties do not reach an amicable settlement, each Party may pursue relief as may be available under this Agreement. All negotiations pursuant to this section will be considered confidential information and shall not be shared with any third parties without the disclosing Party’s prior written consent even after the termination and/or expiration of this Agreement.

**Where the User is located in France,** the Parties agree that the courts of Paris, France shall have exclusive jurisdiction over any disputes arising out of or in connection with this Agreement or its subject matter or formation.

**Where the User is not located in France,** all disputes arising out of or in connection with this Agreement or its subject matter or formation shall be finally settled under the rules of arbitration of the international chamber of commerce (the “**ICC**”) by one arbitrator appointed in accordance with the said rules. The arbitration proceedings shall take place exclusively at the ICC headquarters in Paris, France. The appointed arbitrator shall adjudicate the dispute in accordance with the applicable law.


# Privacy Policy

At Nido AI, we are committed to protecting your privacy and ensuring the security of your personal data.

This Privacy Policy is designed to help you understand how we collect and process your personal data when you use our Services.

We believe that everyone has the right to control their personal data, and as such, we have also outlined the various rights you have with regards to your personal data, including your right to object to certain uses or the right to access, update or delete your data.

### 1. Definitions <a href="#id-1-definitions" id="id-1-definitions"></a>

The capitalized words in this document will have the meaning given below:

* “Data Controller”: means the person who makes decisions on Your Personal Data. For instance, the Data Controller decides which Personal Data to collect, where to store such data, for how long, etc.
* “Data Processor”: means the person who uses Your Personal Data on behalf of the Data Controller and under the Data Controller’s instructions. For instance, our hosting services provider acts as Data Controller when it stores Your Personal Data on Our behalf and under Our instructions.
* “Nido AI” or “We”: means Nido, a Singapore entity registered at Singapore under number 202400465M.
* “Model”: means any of Our artificial intelligence models that we make available to You as part of Our Services.
* “Personal Data”: means any data that directly or indirectly relates to You.
* “Platform”: means the platform We operate.
* “Privacy Policy”: means this document describing the Processing activities carried-out by Nido AI as Data Controller. This Privacy Policy covers the Processing activities relating to Your use of Our Services.
* “Processing”: means any operation relating to Your Personal Data (for instance: collection, use, access, transfer, deletion, etc.).
* “Services”: means any services provided by Nido AI to You, including but not limited to the Platform, the Model, along with any associated software, application and website.
* “User” or “You”: means any person who subscribes to, accesses or uses Our Services.
* “User Data”: means
  * the “Feedback”: means Your feedback pertaining to the accuracy, relevance, and effectiveness of the Outputs, including but not limited to any identified discrepancies or errors.
  * the “Prompts”: means any and all instructions, queries or textual cues given by You to the Model in order to generate an Output.
  * the “Outputs”: means any and all content generated by Our Services in response to Your Prompts.

### 2. Who is the Data Controller ? <a href="#id-2-who-is-the-data-controller" id="id-2-who-is-the-data-controller"></a>

#### 2.1. Nido AI as Data Controller <a href="#id-21-mistral-ai-as-data-controller" id="id-21-mistral-ai-as-data-controller"></a>

“**Nido AI**”: means Nido, a Singapore entity registered at Singapore under number 202400465M (" **Nido AI**" or “**Nido**”, also referred to with the possessive adjective “**Our**” or “**Us**”).

Your Personal Data may also be processed by Our affiliate located in the Singapore.

You can contact us :

* By email at <privacy@Nido.sg>

#### 2.2. Nido AI as Data Processor <a href="#id-22-mistral-ai-as-data-processor" id="id-22-mistral-ai-as-data-processor"></a>

If You are a business, Nido AI may also process Personal Data on Your behalf, as Data Processor.

In such a case, the Processing activities We carry-out are described in the Data Processing Agreement entered into between You and Us.

This Privacy Policy only covers the Processing activities We carry out as Data Controller.

### 3. What kind of Personal Data do We collect ? <a href="#id-3-what-kind-of-personal-data-do-we-collect" id="id-3-what-kind-of-personal-data-do-we-collect"></a>

#### 3.1. Personal Data You provide to Us <a href="#id-31-personal-data-you-provide-to-us" id="id-31-personal-data-you-provide-to-us"></a>

* Identity, account and contact data. We collect Personal Data about Your identity when You sign-up to Our Services (first name, last name, email address, identifiers, etc.), when You subscribe to receive information from Us (newsletters, etc.) and/or when You contact Us.
* Payment and billing information. We collect Your payment details (payment method, applicable fees, etc.) and your billing information (billing address, billing contact, etc.) when You subscribe to Our fee-based Services.
* Prompts and Outputs. We only use Your Prompts and/or Outputs:
  * To monitor abuse, meaning any breach by You of the Terms of Use or the applicable Terms of Service, or
  * When You report an illicit Output. In such a case, we may use Your Prompt and/or Your Outputs to improve our services.
* Feedback. Where applicable, We may collect and use the Feedback You provide to Us.

#### 3.2. Personal Data generated by Your Use of Our Services <a href="#id-32-personal-data-generated-by-your-use-of-our-services" id="id-32-personal-data-generated-by-your-use-of-our-services"></a>

* Security Logs. We collect security logs to monitor and analyze system activities, maintain the integrity and security of Our Services, and comply with the applicable security standards and regulatory requirements. These logs document activities such as access attempts, changes made to the Services, and potential security incidents. They may contain information such as IP addresses, timestamps, user actions, and device information.
* Technical Information. We may use cookies to collect technical information that is essential for the proper functioning of Our Services, such as Your language preferences.

#### 3.3. Personal Data that is indirectly provided to Us <a href="#id-33-personal-data-that-is-indirectly-provided-to-us" id="id-33-personal-data-that-is-indirectly-provided-to-us"></a>

Our Models are trained on data that are publicly available on the Internet, which may contain Personal Data. Consequently, We may use Your Personal Data to train Our Models. We take steps to make sure that Your Personal Data remains protected and secure throughout the training of Our Model. To know more about Your rights regarding the training data set, please refer to Section 8 of this Privacy Policy.

### 4. Why do we use Your Personal Data? <a href="#id-4-why-do-we-use-your-personal-data" id="id-4-why-do-we-use-your-personal-data"></a>

We use Your Personal Data for the following purposes:

#### Provide Our Services <a href="#provide-our-services" id="provide-our-services"></a>

* Create and administer Your account on the Platform.
* Manage the security of the Services.
* Generate Outputs based on Your Prompts.
* Communicate with You for purposes other than marketing.
* Answer to your assistance requests.
* Provide technical support (fixing the bugs You notify us).
* Train Our Models, possibly, if such Personal Data is publicly available, and even if we apply best practices to filter such data.
* Conduct research and improve the Services.
* Make aggregated statistics about the use of the Services.

Legal basis: Performance of the contract. Our legitimate interest in (1) providing quality Services and continuously improving our Services and (2) developing Our Models for the purpose of providing them to You.

#### Marketing operations <a href="#marketing-operations" id="marketing-operations"></a>

* Send you Our newsletters about Our Services.
* Lead development.
* Invite You to Our events.

Legal basis: Your Consent. Our legitimate interests to promote Our Services and to grow Our business.

#### Commercial Management <a href="#commercial-management" id="commercial-management"></a>

* Contract management.
* Invoice the applicable fees.
* Processing Your payment.

Legal basis: The performance of the contract. Our legal obligation to invoice for Our Services.

#### Dispute resolution <a href="#dispute-resolution" id="dispute-resolution"></a>

* Investigate and resolve disputes
* Enforce Our contract (suspension of Your Account, monitor abuse, etc.)

Legal basis: Our legitimate interest in protecting and exercising Our legal rights. The performance of the contract.

#### Data Subject Requests <a href="#data-subject-requests" id="data-subject-requests"></a>

* Reply to Your requests to exercise Your rights on Your Personal Data.

Legal basis: Our legal obligation to reply to Your requests.

### 5. How long do We store Your Personal Data ? <a href="#id-5-how-long-do-we-store-your-personal-data" id="id-5-how-long-do-we-store-your-personal-data"></a>

We may keep Your Personal Data for as long as necessary to achieve the purposes mentioned in Section 4 of this Privacy Policy. We may retain your Personal Data for longer periods when We are required by applicable law to do so or when it is necessary to exercise Our rights in legal proceedings.

For illustrative purposes, please find below the applicable data retention periods:

#### Personal Data We use to Provide the Services: <a href="#personal-data-we-use-to-provide-the-services" id="personal-data-we-use-to-provide-the-services"></a>

* Identity and contract/subscription data : for the duration of your registration on the Platform and for 5 years from the end - of your registration for evidentiary purposes.
* Account data : for the duration of your registration on the Platform and for 1 year from the end of your registration for - evidentiary purposes.
* Security data: the security logs are stored for 1 rolling year.
* Technical support/assistance requests: for the duration of the Processing the request and for 5 years from the processing of - Your request for evidentiary purposes.

#### Personal Data We use for commercial management purposes: <a href="#personal-data-we-use-for-commercial-management-purposes" id="personal-data-we-use-for-commercial-management-purposes"></a>

* Identity, account and contact data, contract/subscription data: for the duration of your registration on the Platform and for 5 years from the end of your registration for evidentiary purposes.
* Invoices: for ten (10) years from the year-end date.

#### Personal Data we use for marketing operations: <a href="#personal-data-we-use-for-marketing-operations" id="personal-data-we-use-for-marketing-operations"></a>

* Leads identity and contact data: 3 years from the collection of Your Personal Data.
* Guests identity and contact data: 1 year from the collection of Your Personal Data, unless You consent to Your Data being stored for a longer period of time.

#### Personal Data We use for dispute resolution purposes: <a href="#personal-data-we-use-for-dispute-resolution-purposes" id="personal-data-we-use-for-dispute-resolution-purposes"></a>

* Prompts and Outputs: for 30 rolling days to monitor abuse, unless you validly opt out, and in case of voluntary reporting of illicit content.
* Identity, account and contact data, contract/ subscription data: for the duration of your registration on the Platform and - for 5 additional years from the end of your registration for evidential purposes.
* Legal data (e.g. court decision, legal evidence, etc. ): until the expiration of the appeal period. We may retain such legal data for archival purposes.

#### Personal Data we use to reply to Your requests to exercise Your rights: <a href="#personal-data-we-use-to-reply-to-your-requests-to-exercise-your-rights" id="personal-data-we-use-to-reply-to-your-requests-to-exercise-your-rights"></a>

* Identity, account and contact data and any data regarding your request : for up to three (3) months and for an additional 6 years period for evidential purposes.

### 6. Who do we share Your Personal Data with ? <a href="#id-6-who-do-we-share-your-personal-data-with" id="id-6-who-do-we-share-your-personal-data-with"></a>

We may share Your Personal Data to the following persons on a need-to-know basis:

* The authorized members of our teams,
* Financial organizations (banks, etc.),
* Where appropriate, the competent courts, mediators, accountants, auditors, lawyers, bailiffs, debt collection agencies.

We may also share all or part of Your Personal Data with Our providers. Before engaging with any provider, we conduct audits to assess their privacy and security standards and we sign a dedicated data protection agreement.

Our main providers are:

* Azure: to host the Platform and any data associated with Our Services. The Platform and the Data are stored in Sweden.
* Kong: to manage the security of Nido AI’s API. Kong is based in the United States.
* Lago: to manage the billing of Our Services. Lago is based in France.
* Mailjet: to send You emails. Mailjet is based in the United States and hosted in the European Union (DPA).
* Ory: to manage user authentication on the Platform. Ory is based in Switzerland.
* Stripe: to manage payments. Stripe is based in Ireland and in the United States.

### 7. Do we transfer Your Personal Data Outside of the European Union ? <a href="#id-7-do-we-transfer-your-personal-data-outside-of-the-european-union" id="id-7-do-we-transfer-your-personal-data-outside-of-the-european-union"></a>

We prioritize selecting providers within the European Union that strictly adhere to the GDPR. However, in exceptional cases, we may opt for non-EU providers that meet our high standards of data security and Personal Data protection.

We take the necessary steps to ensure that all contracts with service providers who process personal data outside the European Union have adequate safeguards in compliance with Article 46 of the GDPR. Additionally, We attach the most recent version of the European Commission’s Standard Contractual Clauses to all such contracts.

### 8. Your rights <a href="#id-8-your-rights" id="id-8-your-rights"></a>

You can exercise:

* Access. You have the right to know if Nido AI processes Your Personal Data. You also have the right to request a copy of such Personal Data and to obtain further information about the way We process Your Personal Data.
* Rectification. You have the right to update or correct Your Personal Data.
* Deletion. You have the right to delete and/or ask us to delete Your Personal Data.
* Objection. You have the right to object to the processing of Your Personal Data. This right does not apply when we have a legal obligation to process Your Personal Data.
* Consent withdrawal. You have the right to withdraw Your consent to the processing of Your Personal Data at any time.
* Limitation. You have the right to ask us to freeze the processing of Your Personal Data.
* Automated decision. You have the right to not be subject to an automated decision (including profiling) and to appeal such a decision. Nido AI does not engage in profiling or automated decision-making in the Processing of Personal Data.
* Portability. You have the right to obtain and transfer Your Personal Data to another entity.
* Post mortem. You have the right to tell us how You would like us to process Your Personal Data after your death.
* Lodge a complaint. You have the right to lodge a complaint before the competent data protection authority, including the French data protection authority (the CNIL).

We will take every step to make sure we reply to Your requests. However, when your request concerns the training of Our Models, it’s important to note that Your rights have technical limitations and fulfilling Your requests might involve a complex technical process.

You can exercise these rights:

* By sending us an email at <privacy@Nido.sg>,

#### 9. Changes to this Privacy Policy <a href="#id-9-changes-to-this-privacy-policy" id="id-9-changes-to-this-privacy-policy"></a>

We may amend this Privacy Policy from time to time as Our Services continuously evolve. Make sure to check this Privacy Policy frequently.


# Data Processing Agreement

This data processing agreement (the “**Data Processing Agreement**” or the “**DPA**”) is established under Article 28 of the GDPR and forms part of this Agreement (as defined below) between Nido AI and the Customer. By accepting the applicable Terms of Services, the Customer also accepts this DPA.

### 1. Definitions <a href="#id-1-definitions" id="id-1-definitions"></a>

The capitalized words in this Agreement shall have the meaning given below:

* **“Agreement”:** means the service agreement entered into by and between the Parties, governing the provision of the Services by Nido AI to the Customer.
* **“Applicable Data Protection Law**”: means (i) Regulation (EU) 2016/679 of the European Parliament and of the Council of 27 April 2016 applicable since 25 May 2018 (the “**GDPR**”) and (ii) the data protection laws and regulations applicable in France.
* “**Authorized Recipient**”: means (i) Nido AI’s affiliates, (ii) Nido AI’s team members, (ii) Nido AI’s Sub-processors or (iv) any third party that is authorized by the Applicable Data Protection Law to access the Personal Data.
* “**Authorized Purpose**”: means the authorized purpose for the Processing as mentioned in Exhibit 1.
* “**Customer**”: means any legal person who subscribes to the Services and, where applicable, its affiliates.
* **“Data Controller**”: means the person who determines the purposes and the means of the Processing.
* “**Data Processing Agreement**” or “**DPA**”: means this data processing agreement governing the Processing carried-out by the Parties, that forms part of the Agreement.
* “**Data Processor**”: means the person who carries-out the Processing on behalf of the Data Controller and under its documented instructions.
* “**Data Subjects**”: means the person whose Personal Data is processed.
* “**Nido AI**”: means Nido, a Singapore entity registered at Singapore under number 202400465M (" **Nido AI**" or “**Nido**”, also referred to with the possessive adjective “**Our**” or “**Us**”).
* “**Personal Data**”: means any data relating to an identified or identifiable Data Subject.
* “**Personal Data Breach**”: means any breach of security leading to the accidental or unlawful destruction, loss, alteration, unauthorized disclosure of, or access to, Personal Data, likely to result in a risk for the rights and freedoms of Data Subjects.
* “**Processing**”: means the processing of Personal Data described in Exhibit 1.
* “**Restricted Country**”: means any country located outside of the European Economic Area (EEA) and that does not benefit from an adequacy decision from the European Commission.
* “**Services**”: means the services provided by Nido AI to the Customer.
* “**Sub-processor**”: means any Data Processor appointed by Nido AI to carry-out all or part of the Processing on behalf of the Customer.
* “**Supervisory Authority**”: means any independent authority competent to supervise the Processing.

Any capitalized word that is not defined in this DPA shall have the meaning given in the Agreement.

### 2. Role of the Parties <a href="#id-2-role-of-the-parties" id="id-2-role-of-the-parties"></a>

[...]
